/*
 * File: CountFlips.java
 * Purpose: Demonstrates the use of a programmer-defined class.
 * 
 * Authors: Lewis, Loftus, Pollack
 * Updated: 7-26-00 - 18:30
 */
 
public class CountFlips {

    /*
     * Flips a coin multiple times and counts the number of 
     * heads and tails that result.
     */

    public static void main(String[] args) {
    
        final int NUM_FLIPS = 1000;
        int nHeads = 0,
            nTails = 0;
        
        Coin coin = new Coin();
        
        for (int i = 0; i < NUM_FLIPS; i++) {
            coin.flip();
            if (coin.getFace() == coin.HEADS)
                ++nHeads;
            else
                ++nTails;
        }

        System.out.println("The number of flips:  " + NUM_FLIPS);
        System.out.println("The number of heads:  " + nHeads);
        System.out.println("The number of tails:  " + nTails);
    }

}

/*  ..... Output from the program:
The number of flips:  1000
The number of heads:  524
The number of tails:  476
..... End of output ..... */
